Bug 447180 - Text in description field in gpk-update-viewer doesn't word-wrap at window edge.
Text in description field in gpk-update-viewer doesn't word-wrap at window edge.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 11:42 EDT by Pat Young
Modified: 2009-01-14 08:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 08:46:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pat Young 2008-05-18 11:42:10 EDT
Description of problem:
When you view updates with the gpk-update-viewer, the text of the update
description doesn't word-wrap at the window edge.  This results in a long
single-line of text that you need to use the horizontal scrollbar to see

Version-Release number of selected component (if applicable):
gnome-packagekit-0.1.12-12.20080430.fc9.src.rpm

How reproducible:
See that you have updates with the PackageKit Update Applet.  Click on it and do
'Show Updates'.  Any update with a lot of text for the description will not
word-wrap.

Steps to Reproduce:
1. 'Show Updates' with PackageKit Update Applet
2. Select any update that has a lot of text with the description field
(amarok-1.4.9 update is when I first noticed it, but it affects any update with
a lot of text for the description).
3.
  
Actual results:
Description text does not word-wrap at window edge (text-box edge may be more
accurate)

Expected results:
Update text would word-wrap to stay in that window, making it more readable.

Additional info:
Comment 1 Richard Hughes 2008-05-19 04:29:23 EDT
Yes, this is a limitation on GTK. We would need to create a custom renderer for
this to work using the current GTK version.
Comment 2 Richard Hughes 2009-01-14 08:46:58 EST
commit 70b40534c67a327a4736d00ca5090847892e1c25
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Feb 21 07:46:09 2008 +0000

    wrap the error detail text in gpk-update-viewer -- still need to expand the ;'s

Note You need to log in before you can comment on or make changes to this bug.